Bug 1204151 - Review Request: perl-PBKDF2-Tiny - Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
Summary: Review Request: perl-PBKDF2-Tiny - Minimalist PBKDF2 (RFC 2898) with HMAC-SHA...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1204176
TreeView+ depends on / blocked
 
Reported: 2015-03-20 13:42 UTC by Petr Pisar
Modified: 2015-04-21 18:46 UTC (History)
2 users (show)

Fixed In Version: perl-PBKDF2-Tiny-0.005-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-24 16:50:53 UTC
Type: ---
jplesnik: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2015-03-20 13:42:24 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-PBKDF2-Tiny/perl-PBKDF2-Tiny.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-PBKDF2-Tiny/perl-PBKDF2-Tiny-0.005-1.fc23.src.rpm
Description:
This module provides an RFC 2898 compliant PBKDF2 implementation using
HMAC-SHA1 or HMAC-SHA2.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2015-03-24 14:27:14 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-PBKDF2-Tiny-0.005-1.fc23.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.20.2)
      1 perl(Carp)
      1 perl(Digest::SHA)
      1 perl(Exporter) >= 5.57
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-PBKDF2-Tiny-0.005-1.fc23.noarch.rpm | sort | uniq -c
      1 perl(PBKDF2::Tiny) = 0.005
      1 perl-PBKDF2-Tiny = 0.005-1.fc23
Binary provides are Ok.

$ rpmlint ./perl-PBKDF2-Tiny*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok


Package APPROVED.

Comment 2 Petr Pisar 2015-03-24 14:36:34 UTC
New Package SCM Request
=======================
Package Name: perl-PBKDF2-Tiny
Short Description: Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
Upstream URL: 
Owners: ppisar jplesnik psabata
Branches: http://search.cpan.org/dist/PBKDF2-Tiny/
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2015-03-24 15:36:59 UTC
Invalid branches.

Comment 4 Petr Pisar 2015-03-24 16:35:11 UTC
New Package SCM Request
=======================
Package Name: perl-PBKDF2-Tiny
Short Description: Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
Upstream URL: http://search.cpan.org/dist/PBKDF2-Tiny/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2015-03-24 16:36:07 UTC
Git done (by process-git-requests).

Comment 6 Petr Pisar 2015-03-24 16:50:53 UTC
Thank you for the review and the repository.

Comment 7 Petr Pisar 2015-03-30 08:51:22 UTC
Package Change Request
======================
Package Name: perl-PBKDF2-Tiny
New Branches: f22
Owners: ppisar jplesnik psabata
InitialCC: perl-sig

Comment 8 Patrick Uiterwijk 2015-03-30 20:17:31 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-03-31 07:24:18 UTC
perl-PBKDF2-Tiny-0.005-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-PBKDF2-Tiny-0.005-1.fc22

Comment 10 Fedora Update System 2015-04-21 18:46:16 UTC
perl-PBKDF2-Tiny-0.005-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.